import { defaultRegionInfoProvider } from "./endpoints";
import { Logger as __Logger } from "@aws-sdk/types";
import { parseUrl } from "@aws-sdk/url-parser";
import { SSOOIDCClientConfig } from "./SSOOIDCClient";

/**
 * @internal
 */
export const getRuntimeConfig = (config: SSOOIDCClientConfig = {}) => ({
  apiVersion: "2019-06-10",
  disableHostPrefix: config.disableHostPrefix ?? false,
  logger: config.logger ?? ({} as __Logger),
  regionInfoProvider: config.regionInfoProvider ?? defaultRegionInfoProvider,
  serviceId: config.serviceId ?? "SSO OIDC",
  urlParser: config.urlParser ?? parseUrl,
});
